cURL
curl --request GET \
--url https://api.buildwithchirp.com/v1/organization/whatsapp/messages/{messageId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.buildwithchirp.com/v1/organization/whatsapp/messages/{messageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.buildwithchirp.com/v1/organization/whatsapp/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "msg_wa_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
"whatsappPhoneNumberId": "<string>",
"displayPhoneNumber": "<string>",
"fromPhoneNumber": "<string>",
"toPhoneNumber": "<string>",
"contactName": "<string>",
"textBody": "<string>",
"mediaUrl": "<string>",
"mediaMimeType": "<string>",
"mediaFilename": "<string>",
"mediaCaption": "<string>",
"mediaFileSize": 123,
"mediaSha256": "<string>",
"isVoiceNote": true,
"isAnimatedSticker": true,
"locationLatitude": "<string>",
"locationLongitude": "<string>",
"locationName": "<string>",
"locationAddress": "<string>",
"reactionEmoji": "<string>",
"reactionMessageId": "<string>",
"buttonText": "<string>",
"buttonPayload": "<string>",
"replyToMessageId": "<string>",
"isForwarded": true,
"isFrequentlyForwarded": true,
"hasReferral": true,
"queuedAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"readAt": "2023-11-07T05:31:56Z",
"failedAt": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorMessage": "<string>",
"errorTitle": "<string>",
"errorDetails": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"recipients": [
{
"id": "<string>",
"phoneNumber": "<string>",
"queuedAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"readAt": "2023-11-07T05:31:56Z",
"failedAt": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorMessage": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"referral": {
"id": "<string>",
"sourceUrl": "<string>",
"sourceId": "<string>",
"sourceType": "<string>",
"headline": "<string>",
"body": "<string>",
"mediaType": "<string>",
"imageUrl": "<string>",
"videoUrl": "<string>",
"thumbnailUrl": "<string>",
"ctwaClid": "<string>",
"welcomeMessage": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"order": {
"id": "<string>",
"catalogId": "<string>",
"orderText": "<string>",
"totalItems": 123,
"createdAt": "2023-11-07T05:31:56Z",
"items": [
{
"id": "<string>",
"productRetailerId": "<string>",
"quantity": 123,
"itemPrice": "<string>",
"currency": "<string>"
}
]
},
"conversationWindow": {
"id": "<string>",
"originType": "<string>",
"pricingBillable": true,
"pricingModel": "<string>",
"pricingCategory": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
},
"contactsData": "<unknown>",
"templateData": "<unknown>",
"interactiveData": "<unknown>",
"systemData": "<unknown>"
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}WhatsApp Messages
Get WhatsApp message
Get a WhatsApp message by ID with full details and related data
GET
/
v1
/
organization
/
whatsapp
/
messages
/
{messageId}
cURL
Authorizations
Admin API key (format: sk_admin_*) for organization-level operations
Path Parameters
Unique identifier for a WhatsApp Message. Format: msg_wa_[test_]{ksuid}
Pattern:
^msg_wa_(?:test_)?[a-zA-Z0-9]{27}$Example:
"msg_wa_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Response
WhatsApp message details
Unique identifier for a WhatsApp Message. Format: msg_wa_[test_]{ksuid}
Pattern:
^msg_wa_(?:test_)?[a-zA-Z0-9]{27}$Example:
"msg_wa_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Available options:
text, image, video, audio, document, location, contacts, template, interactive, reaction, sticker, button, order, system, pin, unknown Available options:
INBOUND, OUTBOUND Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I